# VecValid

Checks whether a vector object is valid.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecValid(Vec v,PetscTruth *flg)

Not Collective

### Input Parameter

v -the object to check

### Output Parameter

flg -flag indicating vector status, either PETSC_TRUE if vector is valid, or PETSC_FALSE otherwise.

Level:developer
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html